Objects

This is a preview version of the API intended for early testing and integration. Preview versions are not stable and may include breaking changes before general availability.

ResponseObject

An HTTP response to be provided after receiving HTTP `INSTRUCTIONS` in the `CollectionStatus` `extraInformation` object. This is expected when using the `SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION` `loginMethod`. An in-depth description of this flow can be found in the introduction.

headersobject

The keys and values of the response headers. Values are lists because some headers (notably Set-Cookie) will be repeated

response

The response body, in the format it was responded, e.g. html or json.

typestring
Possible Enum values are RESPONSE_OBJECT.
Example
{  "headers": {    "Cache-Control": [      "no-cache, no-store, max-age=0"    ],    "Content-Encoding": [      "gzip"    ],    "Content-Language": [      "sv_SE"    ],    "Content-Type": [      "application/json; charset=UTF-8"    ],    "Date": [      "Sun, 20 Jul 1969 20:17:10 GMT"    ],    "Expires": [      "Thu, 01 Jan 1970 00:00:00 GMT"    ],    "Pragma": [      "no-cache"    ],    "Server": [      "-"    ],    "Set-Cookie": [      "session=0cdd1666-7319-4f73-8fc3-d095f83b4ff9;Path=/;Domain=somecompany.se;Secure;HttpOnly",      "qwerty=219ffwef9w0f; Domain=somecompany.se"    ],    "Strict-Transport-Security": [      "max-age=31536000; includeSubDomains"    ],    "Transfer-Encoding": [      "Identity"    ],    "Vary": [      "Accept-Encoding"    ]  },  "response": {    "andromedaUserToken": "some_random_token",    "extendedUsage": false,    "formattedServerTime": "1969-07-20 22:27",    "links": {      "next": {        "method": "GET",        "uri": "/v5/profile/"      }    },    "maskedUserId": "19300805****",    "serverTime": "19690720 22:17",    "status": "COMPLETE"  },  "type": "RESPONSE_OBJECT"}